# coding: utf8

import numpy as np
import evaltools as evt

# listing

listing_path = "../doc/sample_data/listing"
stations = evt.utils.read_listing(listing_path)

# domain definition

minLat = 45.
minLon = 6.
dLon = .5
dLat = .5
nbLon = 28
nbLat = 14

# simulate data

A = np.array([[lat*lon for lon in range(nbLon)] for lat in range(nbLat)])
B = np.array([[lat + lon for lon in range(nbLon)] for lat in range(nbLat)])

# Grid object

interpolator = evt.interpolation.Grid(minLat, minLon, dLon, dLat, nbLon, nbLat)
interpolator.load_stations_metadata(listing_path)
interpolator.load_station_lists({'A': stations.index[:5], 'B': stations.index[-5:]})
interpolator.set_grids({'A': A, 'B': B})

# visualisation

interpolator.view()

# interpolation

interpolator.interpolate()

